Get Resource Identifiers Details

Get Resource Identifiers Details
Get details for resource identifiers, with provided adapter kind and resource kind.

Get details for resource identifiers, with provided adapter kind and resource kind.

Request
URI
GET
https://{api_host}/suite-api/api/adapterkinds/{adapterKindKey}/resourcekinds/{resourceKindKey}/identifiers
COPY
Path Parameters
string
adapterKindKey
Required

The Adapter Kind Identifier

string
resourceKindKey
Required

The Resource Kind Identifier


Authentication
This operation uses the following authentication methods.
Responses
200

The resource kind identifiers details

Returns ResourceIdentifiersDetails of type(s) application/json
"{\n  \"resourceIdentifiersDetails\" : [ {\n    \"name\" : \"IDENTIFIER_1\",\n    \"dataType\" : \"STRING\",\n    \"isPartOfUniqueness\" : false,\n    \"defaultValue\" : \"defaultValue1\"\n  }, {\n    \"name\" : \"IDENTIFIER_2\",\n    \"dataType\" : \"BOOLEAN\",\n    \"isPartOfUniqueness\" : true,\n    \"defaultValue\" : \"defaultValue2\"\n  }, {\n    \"name\" : \"IDENTIFIER_3\",\n    \"dataType\" : \"STRING\",\n    \"isPartOfUniqueness\" : false,\n    \"defaultValue\" : \"defaultValue3\"\n  } ]\n}"
array of object
resourceIdentifiersDetails
Optional

Details of resource identifier


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/adapterkinds/{adapterKindKey}/resourcekinds/{resourceKindKey}/identifiers